Subject: I think I found the way to reproduce it!

From: Borys Saulyak <[email-masked]>
Date: Wed, 2 Apr 2014 18:12:52 +0200

Hi guys,

I have quite often a problem to resume a session that was suspended after unexpected disconnect of the client.
In most of the cases it does not work.

On the client side I get this:
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: PANIC! The remote NX proxy closed the connection.

On the server side I see this:
Apr  1 07:09:00 xxx /usr/local/bin/x2gosetkeyboard: Setting X keyboard according to /home/dadfmg/.x2go/C-dadfmg-77-1396335925_stDKDE_dp24/keyboard
Apr  1 07:11:32 xxx sshd[9739]: Accepted keyboard-interactive/pam for dadfmg from 10.10.1.13 port 59401 ssh2
Apr  1 07:11:34 xxx /usr/local/bin/x2gosuspend-session: session with ID dadfmg-77-1396335925_stDKDE_dp24 has been suspended successfully
Apr  1 07:11:36 xxx /usr/local/bin/x2goresume-session: client 10.10.1.13 has successfully resumed session with ID dadfmg-77-1396335925_stDKDE_dp24
Apr  1 07:11:36 xxx sshd[9742]: error: connect_to localhost port 30081: failed.
Apr  1 07:11:36 xxx sshd[9742]: channel_by_id: 0: bad id: channel free
Apr  1 07:11:36 xxx sshd[9742]: Disconnecting: Received ieof for nonexistent channel 0.

I am on the latest version of client/server.

I also noticed that I can achieve the same result if I suspend the session and then try to resume it by login in to the server via ssh and executing x2goresume-session <sessionid>
In this case even healthy and cleanly suspended session get screwed. 

So far I was not able to figure out how can I get the session back. It just does not work. I found a workaround for the time being which is to connect via local desktop (desktop sharing). This works even if session is screwed, but this is not what I want. I would like to get my session resumed correctly no matter what happened. Is this a known bug? Or is it only happening to me? I would really appreciate any help! X2GO is a great project and it has a great potential!

Thanks in advance for any help!